[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# TCustomVariantType.Destroy

Unregister variant type

## Declaration

Source position: variants.pp line 198

`public destructor TCustomVariantType.Destroy; override;`

## Description

Destroy unregisters the custom variant type and removes the instance from memory. After this is called, variants with the (now unregistered) type can no longer be used.

## See also

TCustomVariantType.Create |  | Instantiate a new custom variant type